net.sourceforge.jnlp

## Class Version.JreVersion

- java.lang.Object
- - net.sourceforge.jnlp.Version
  - - net.sourceforge.jnlp.Version.JreVersion

- Enclosing class:
    Version

      public static class Version.JreVersion
      extends Version

  This is special case of version, used only for checking jre version. If jre do not match, in strict not-headless mode the dialog with confirrmation appears If jre do not match, in strict headless mode the exception is thrown If jre match, or non-strict mode is run, then only message is printed

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sourceforge.jnlp.Version

      `Version.JreVersion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `warned`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JreVersion(java.lang.String v, boolean strict)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matchesJreVersion()`

    - ### Methods inherited from class net.sourceforge.jnlp.Version

      `compare, equal, getParts, getVersionStrings, greater, isVersionId, matches, matches, matchesAny, matchesAny, normalize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### warned

          public static boolean warned

  - ### Constructor Detail

    - #### JreVersion

          public JreVersion(java.lang.String v,
                            boolean strict)

  - ### Method Detail

    - #### matchesJreVersion

          public boolean matchesJreVersion()

Submit a bug or feature